Bug 233848 (perl-SVG-Graph)

Summary: Review Request: perl-SVG-Graph - Visualize your data in Scalable Vector Graphics (SVG) format
Product: [Fedora] Fedora Reporter: Alex Lancaster <alexl>
Component: Package ReviewAssignee: Chris Weyl <cweyl>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideFlags: cweyl: fedora‑review+
jwboyer: fedora‑cvs+
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-04-10 09:51:16 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 233741, 233742    
Bug Blocks: 234573    

Description Alex Lancaster 2007-03-25 08:38:14 EDT
Spec URL: http://allele5.biol.berkeley.edu/~alex/fedora/perl-SVG-Graph.spec
SRPM URL:  http://allele5.biol.berkeley.edu/~alex/fedora/perl-SVG-Graph-0.01-1.src.rpm
Description: 
SVG::Graph is a suite of perl modules for plotting data. SVG::Graph
currently supports plots of one-, two- and three-dimensional data, as well
as N-ary rooted trees.

Depends on perl-Math-Derivative (bug #233741) and perl-Math-Spline (bug #233742) as BuildRequires.
Comment 1 Ralf Corsepius 2007-03-26 01:12:42 EDT
Missing:
BR: perl(ExtUtils::MakeMaker)
Comment 2 Ralf Corsepius 2007-03-26 01:27:20 EDT
Furthermore: I can find any suiteable license. 

The sources only contain this:

COPYRIGHT AND LICENCE

Copyright (C) 2002-2003 Allen Day <allenday@ucla.edu>,
Chris To <crsto@ucla.edu>

=> This is not "GPL or Artistic", as your *.spec tells.

Worse, this probably disqualifies this package from being shipable.

May-be you should contact upstream.


Comment 3 Alex Lancaster 2007-03-26 03:43:13 EDT
I'm sure the intention is for the usual "same terms as Perl", but since
academics are notorious for leaving out licensing details,  I'll contact
upstream and get them to update the exact licensing terms.
Comment 4 Alex Lancaster 2007-04-02 03:11:26 EDT
Contacted upstream and Allen Day confirmed that perl-SVG-Graph is released under
the Artistic license (see e-mail below).  I will ask him to add the license to
the CPAN webpage and add it inside the tarball, and ask him to roll a new
tarball, if possible.

From: "Allen Day" <allenday@ucla.edu>
Subject: Re: License terms for perl-SVG-Graph?
To: "Alex Lancaster" <alexl@users.sourceforge.net>
Date: Sun, 1 Apr 2007 00:47:21 -0700
Reply-To: allenday@ucla.edu                                                     

Hi Alex,

My oversight.  It's released under the Artistic License.

-Allen

On 3/26/07, Alex Lancaster <alexl@users.sourceforge.net> wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> Dear Allen and Chris,
>
> I am trying to package your Perl package SVG-Graph as part of the
> Fedora Linux distribution (it is also required as a dependency for
> bioperl), see: https://bugzilla.redhat.com/233848 for this discussion.
> In order to distribute the package, however, we need to clarify the
> license, currently the only mention is the following:
>
> COPYRIGHT AND LICENCE
>
> Copyright (C) 2002-2003 Allen Day <allenday@ucla.edu>,
> Chris To <crsto@ucla.edu>
>
> However, that only states the copyright owners (yourselves), but
> doesn't state the license distribution terms.  Could you clarify your
> intentions with respect to the license?  Usually most CPAN Perl
> modules are distributed under the same terms as Perl, that is can be
> distributed under the terms of either "Artistic" or the GNU GPL
> license.
>
> If so, could you please include state so *explicitly* in your package,
> or otherwise indicate to me that the package can be distributed under
> a suitable open source license, see:
>
> http://fedoraproject.org/wiki/Packaging/Guidelines#head-76294f12c6b481792eb00\
1ba9763d95e2792e825
>
> for a list of acceptable licenses.
>
> Best regards,
> Alex Lancaster
Comment 5 Parag AN(पराग) 2007-04-02 05:16:04 EDT
I think it will be good to see license file in tarball.
Comment 6 Alex Lancaster 2007-04-06 04:44:04 EDT
Can you please do an initial review pending updating of tarball because this is
currently blocking the build of bug #234573.  Upstream is taking a while to do
the update, but we *do* know that it is under the Artistic license.
Comment 7 Alex Lancaster 2007-04-06 08:12:57 EDT
* Fri Apr 06 2007 Alex Lancaster <alexl@users.sourceforge.net> 0.01-2
- Updated license.
- Add BR: perl(ExtUtils::MakeMaker)

Spec URL: http://allele5.biol.berkeley.edu/~alex/fedora/perl-SVG-Graph.spec
SRPM URL: 
http://allele5.biol.berkeley.edu/~alex/fedora/perl-SVG-Graph-0.01-2.src.rpm
Comment 8 Alex Lancaster 2007-04-06 18:59:09 EDT
* Fri Apr 06 2007 Alex Lancaster <alexl@users.sourceforge.net> 0.01-3
- Added e-mail confirmation for license in package.

Spec URL: http://allele5.biol.berkeley.edu/~alex/fedora/perl-SVG-Graph.spec
SRPM URL: 
http://allele5.biol.berkeley.edu/~alex/fedora/perl-SVG-Graph-0.01-3.src.rpm
Comment 9 Chris Weyl 2007-04-07 12:48:07 EDT
The package appears to be missing a BR on perl(Statistics::Descriptive).
Also, there appears to be an examples directory (eg/), why not include it in
%doc? :)  (Note to keep rpmlint quiet you'll need to remove the exec bit from
the examples.)

Make the two above changes and I'll approve.

+ source files match upstream:
3fbf3ae9aa6ea33fd548e63dd926ee2b  SVG-Graph-0.01.tar.gz
3fbf3ae9aa6ea33fd548e63dd926ee2b  ../SVG-Graph-0.01.tar.gz
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible. (Artistic) License text not included upstream.
+ latest version is being packaged.
X BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package installs properly
+ no debuginfo package -- noarch
+ rpmlint is silent.
+ final provides and requires are sane:
** perl-SVG-Graph-0.01-3.fc6.noarch.rpm
== rpmlint
== provides
perl(SVG::Graph) = 0.01
perl(SVG::Graph::Data)  
perl(SVG::Graph::Data::Datum)  
perl(SVG::Graph::Data::Node)  
perl(SVG::Graph::Data::Tree)  
perl(SVG::Graph::File)  
perl(SVG::Graph::Frame)  
perl(SVG::Graph::Glyph)  
perl(SVG::Graph::Glyph::axis)  
perl(SVG::Graph::Glyph::bar)  
perl(SVG::Graph::Glyph::barflex)  
perl(SVG::Graph::Glyph::bezier)  
perl(SVG::Graph::Glyph::bubble)  
perl(SVG::Graph::Glyph::heatmap)  
perl(SVG::Graph::Glyph::line)  
perl(SVG::Graph::Glyph::pictogram)  
perl(SVG::Graph::Glyph::scatter)  
perl(SVG::Graph::Glyph::tree)  
perl(SVG::Graph::Glyph::wedge)  
perl(SVG::Graph::Group)  
perl-SVG-Graph = 0.01-3.fc6
== requires
perl(:MODULE_COMPAT_5.8.8)  
perl(Data::Dumper)  
perl(Math::Spline)  
perl(SVG)  
perl(SVG::Graph::Data::Node)  
perl(SVG::Graph::Frame)  
perl(Statistics::Descriptive)  
perl(Tree::DAG_Node)  
perl(base)  
perl(constant)  
perl(strict)  
+ %check is present and all tests pass (though not without a lot of noise):
All tests successful.
Files=7, Tests=69,  1 wallclock secs ( 0.66 cusr +  0.19 csys =  0.85 CPU)
+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets present.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
+ not a GUI app.
Comment 10 Alex Lancaster 2007-04-07 18:38:41 EDT
* Sat Apr 07 2007 Alex Lancaster <alexl@users.sourceforge.net> 0.01-4
- Add BR: perl(Statistics::Descriptive).
- Add "eg" subdirectory as documentation.

Spec URL: http://allele5.biol.berkeley.edu/~alex/fedora/perl-SVG-Graph.spec
SRPM URL: 
http://allele5.biol.berkeley.edu/~alex/fedora/perl-SVG-Graph-0.01-4.src.rpm

Comment 11 Alex Lancaster 2007-04-07 19:04:59 EDT
* Sat Apr 07 2007 Alex Lancaster <alexl@users.sourceforge.net> 0.01-5
- Add BR: perl(SVG), perl(Tree::DAG_Node) and versions

Spec URL: http://allele5.biol.berkeley.edu/~alex/fedora/perl-SVG-Graph.spec
SRPM URL: 
http://allele5.biol.berkeley.edu/~alex/fedora/perl-SVG-Graph-0.01-5.src.rpm

Comment 12 Alex Lancaster 2007-04-07 19:57:48 EDT
One last BuildRequires error picked up by mock build:

* Sat Apr 07 2007 Alex Lancaster <alexl@users.sourceforge.net> 0.01-6
- Fixes BR for perl(Tree::DAG_Node)

Spec URL: http://allele5.biol.berkeley.edu/~alex/fedora/perl-SVG-Graph.spec
SRPM URL: 
http://allele5.biol.berkeley.edu/~alex/fedora/perl-SVG-Graph-0.01-6.src.rpm


Comment 13 Chris Weyl 2007-04-08 13:16:54 EDT
APPROVED
Comment 14 Alex Lancaster 2007-04-08 18:31:27 EDT
New Package CVS Request
=======================
Package Name: perl-SVG-Graph
Short Description: Visualize data in Scalable Vector Graphics (SVG) format
Owners: alexl@users.sourceforge.net
Branches: FC-5 FC-6
InitialCC: 

Comment 15 Alex Lancaster 2007-04-10 09:51:16 EDT
Builds fine in devel and FC-6.  Closing.